Monitor testing overview

These procedures test your product for proper functionality under the Microsoft® Windows® XP operating system. You must run all of the monitor tests.

If your product provides bus-specific support, run the appropriate bus-specific tests in addition to the standard tests.

If the test device is multifunctional, you must also complete the test procedures for each functionally independent, logical device. For example, a multimedia adapter that contains a display device, an audio device, and a game port must complete the display adapters/chipsets tests, the audio tests, and the game device tests.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT tools.

Click to show or hide information. Monitor tests

The following tests are required for all test devices and can be run in any order.

  • ChkINF
  • EDID 1.3 & DDC test
  • Refresh Rate
  • Signability

Click to show or hide information. Bus-specific tests

These additional test categories are required if the test device provides support for the bus.

  • IEEE 1394
  • USB

Test suite run time: Approximately 5 to 10 minutes

Click to show or hide information. Hardware requirements

The following hardware is required to run the Monitor HCT kit.

Additional hardware may be required if the test device provides bus-specific support. See the testing overview for IEEE 1394 Controllers, USB Controllers, or USB Hubs to determine if there are additional hardware requirements.

  • Two identical test monitors, one installed on each test system
  • Two non-identical Intel Pentium, or equivalent, test systems with the following:
  • Minimum 200 MHz microprocessor
  • 256 MB of RAM
  • CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • One keyboard
  • One mouse (or any pointing/drawing device)

Important: The test system must be included on the Microsoft Windows Hardware Compatibility List (HCL).

  • Two different display data channel standard, level 2B (DDC2B) display adapters capable of supporting all resolutions, color depths, and refresh rates that the test monitor supports

Important: Display adapters must use manufacturer-supplied drivers.

Click to show or hide information. Software requirements

The following software is required to run the Monitor HCT kit.

  • INF file for the test device
  • ICM file, if applicable
  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the HCT for monitors, testers must know how to do the following tasks:

  • Physically install the test monitors.
  • Physically install the display adapters.
  • Install the INF files, if necessary.
  • Install the ICM file, if necessary.
  • Install the Windows XP Professional operating system from the product CD.
  • Install the Windows XP HCT 10.0.

Related Links

Preparing for monitor testing

Microsoft Windows HCL


Preparing for monitor testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows® XP Professional. This section summarizes the related requirements and procedures.

Important: Run the HCT for monitors on two non-identical systems.

For a complete list of required hardware, software, and tester knowledge, see the Monitor testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for monitor testing for the Windows XP Professional operating system.

To configure the test systems for monitor testing

  1. Install the Windows XP Professional operating system on both test systems.
  2. Install identical test monitors on both test systems.
  3. Install different display data channel standard, level 2B (DDC2B) display adapters on both test systems.
  4. Install the manufacturer-supplied INF file, if necessary, on both test systems.
  5. Install the Windows XP HCT 10.0 on both test systems.

Related links

Monitor testing overview


Display adapter testing overview

These procedures test your product for proper functionality under the Windows® XP Professional operating system. The Display Compatibility Test (DCT) 450 tool verifies all supported display modes, color depths, and capabilities that the driver supports, and then creates a list of required tests. You must run all tests listed in the DCT 450.

Important: The DCT 450 is installed as a standalone application. It is not installed through the Windows XP HCT 10.0 installation procedure. The DCT 450 continues to provide a unique graphical user interface and integrated help documentation.

If the test device is multifunctional, you must also complete the test procedures for each functionally independent, logical device. For example, a keyboard that contains a glide pad must complete the keyboard tests and the pointing drawing tests.

The testing overview topic includes links to hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topic includes specific instructions for configuring the test system for testing. The running the test topic includes instructions for installing the DCT 450, creating a log file, starting tests.

Test suite run time: Depending on the capabilities of the device, it takes approximately four to six days to complete the display adapter testing.

Click to show or hide information. Hardware requirements

The following hardware is required to run the Display Adapters DCT 450 kit.

  • Two identical test display adapters

Important: The two test display adapters must use the same adapter/driver combination.

  • Two differently configured systems with the following:
  • Minimum 600 MHz microprocessor
  • Minimum 256 MB of RAM
  • CD-ROM drive
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • One keyboard
  • One mouse (or any pointing/drawing device)

Important: It is recommended that the systems be included on the Microsoft Windows Hardware Compatibility List (HCL).

  • One FoxFire II PCI adapter

If you run tests at the same time on both test systems, two FoxFire II PCI adapters are needed.

  • One multi-sync display data channel standard, level 2B (DDC2B)-capable monitor

If you run tests at the same time on both test systems, two multi-sync DDC2B-capable monitors are needed.

Important: The monitor must display the highest mode that the display adapter supports.

  • Fluke 85/87 Digital Multimeter (DMM)
  • VGA BNC breakout cable (5 headed)
  • One ferrite core, if required to reduce RFI
  • Female BNC adapter to connect breakout cable to multimeter
  • VGA amplifier or splitter (for example, Extron P/2 DA2 Plus)

Click to show or hide information. Software requirements

The following software is required to run the DCT 450 for display adapters.

  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

The DCT 450 is contained on this disk.

Click to show or hide information. Tester knowledge requirements

To run the DCT 450 for display adapters, testers must know how to do the following tasks:

  • Physically install the test device.
  • Install the test device driver.
  • Physically install the FoxFire II PCI adapter.
  • Disable Active Desktop, Power Management settings, password protection, and Always on Top for the Windows task bar.
  • Install the Windows XP Professional operating system from the product CD.
  • Install the DCT 450 for Windows XP.

Click to show or hide information. Development Resources

  • Microsoft DirectX® 8.0 Software Development Kit (DirectX SDK) application programming interface and software
  • Microsoft DirectX Driver Development Kit (DirectX DDK) application programming interface and software
  • Microsoft Windows Driver Development Kit (Windows DDK)

Related links

Preparing for display adapter testing
FoxFire II PCI adapter

Microsoft Windows HCL


Preparing for display adapter testing

Before running the Display Compatibility Tests (DCT) on a test system, you must install and configure the system hardware, install Windows® XP Professional, and install the Windows XP HCT 10.0. This section summarizes the related requirements and procedures.

To obtain more accurate test results, run the DCT 450 on two differently configured systems.

For a complete list of required hardware, software, and tester knowledge, see the display adapter testing overview.

Test system configuration

The DCT kit requires the following to prepare the test system for testing display adapters for the Windows XP Professional operating system.

To configure the test system for display adapter testing

  1. Install identical test devices on two differently configured test systems.
  2. Install the FoxFire II PCI adapter on the test system.
  3. Install the multi-sync display data channel standard, level 2B (DDC2B)-capable monitor on the test system.
  4. Install the Windows XP Professional operating system on each system.
  5. Install the test device driver on each system.
  6. Install the DCT 450 for Windows XP on each system.

Related links

Display adapter testing overview


Running the display adapter tests

To install the DCT 450

  1. Install the DCT 450 by selecting the Display Adapter program category in the Windows XP HCT 10.0.
  2. In the root of the CD-ROM drive, double-click the DCT_450 folder.
  3. Double-click setup.exe to start the WHQL DCT II Suite installation wizard.
  4. Follow the instructions displayed.

Note: To view Help, click the Start button, point to Programs, point to WHQL DCT II Suite, and then click Help.

To open the DCT 450 configuration file

  1. Disable Active Desktop, Power Management settings, password protection, and Always on Top for the Windows task bar.
  2. Click the Start button, point to Programs, point to WHQL DCT II Suite, and then click WHQL DCT II Suite.

The DCT2 Test Shell displays the Untitled -DCT2 window.

To create the log file

  1. In the Untitled -DCT2 window, on the File menu, click Open.
  2. Select the default configuration file dct450.dct2, and then click Open.

The log file dct450.en2 is created. This log file is used to store test results each time the configuration file is opened.

Tip: To create a custom configuration file, enter the desired file name in the file name box, and then click Open.

  3. In the Select logfile type… dialog box, select the system to create the log files on.

The DCT2 test shell verifies all supported display modes, color depths, and capabilities that the driver supports, and then creates a list of required tests. This takes approximately one to two minutes to complete, depending on the supported modes and capabilities of the test device.

To run the DCT 450 tests

The DCT2 test shell verifies all supported display modes, color depths, and capabilities that the driver supports, and then creates a list of required tests. This takes approximately one to two minutes to complete, depending on the supported modes and capabilities of the test device.

The DCT2 test shell opens to the "tree view", with two panes displayed. The available Test Suites for your product are displayed in the left pane; tests that you select to run are displayed in the right pane

  1. In the test suite pane, click the test suite check box to run all tests in the test suite.

Tip: Expand any test suite to expose individual tests. Click a check box to include an individual test in the test run. Clear a check box to exclude an individual test from the run list.

  2. From the XXX menu, click XXX.


Warning

Windows XP HCT 10.0 - Display

Important

This file is only a component of the Whistler Hardware Compatibility Test (HCT) Help system, and is not intended to be used as a stand-alone file.

Instead, use the HCThelp.chm file for information on the Microsoft Windows Logo Program for Hardware, testing hardware and drivers with the HCT, and installing and running the HCT.